Name:           plank
Version:        0.11.4
Release:        %mkrel 2
Summary:        A port of docky to Vala
Group:		    Graphical desktop/Other
License:        GPLv3+
URL:            http://wiki.go-docky.com/index.php?title=Plank:Introduction
Source0:        https://launchpad.net/%{name}/1.0/%{version}/+download/%{name}-%{version}.tar.xz
Source1:        plank.png
Patch0:         plank-0.11.4-planksettings.desktop.patch

#-------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}bamf3-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gee-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}wnck3-devel
BuildRequires: %{_lib}x11-devel
#-------------------------------------
Requires:       bamf-daemon
Requires:	%{_lib}bamf3_2

%description
A very simple dock written in Vala.


%package devel
Summary:        Development files for %{name}
Group:	Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala-tools

%description devel
Development files for %{name}

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=1 ./autogen.sh

export CFLAGS="-lm"

%configure2_5x --disable-static --disable-apport 

# Remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# Fix unused-direct-shlib-dependency from rpmlint
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make

%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}

# Remove built .la file
rm -f %{buildroot}%{_libdir}/lib%{name}.la

#desktop file
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/planksettings.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/plank.desktop 

mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/plank.png
  
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/appdata/plank.appdata.xml
%{_libdir}/%{name}
%{_datadir}/glib-2.0/schemas/*%{name}.gschema.xml
%{_datadir}/pixmaps/plank.png

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/vala/vapi/%{name}.deps

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %buildroot

%changelog
* Mon Sep 18 2017 threepio <threepio> - 0.11.4-2uplos2017
- update, rebuild

* Tue May 30 2017 bb2 <bb2> - 0.11.4-2pclos2017
- add icon to pixmaps folder

* Fri Apr 28 2017 bb2 <bb2> - 0.11.4-1pclos2017
- new version

* Fri Jun 10 2016 bb <bb> - 0.11.2-1pclos2016
- update

* Sun May 15 2016 bb <bb> - 0.11.1-1pclos2016
- update

* Tue Jul 09 2015 bb <bb> - 0.9.1-1pclos2015
- update

* Sun Oct 12 2014 bb <bb> - 0.7.1-1pclos2014
- create package
